org.tmatesoft.svn.core.wc2

## Class SvnScheduleForRemoval

- java.lang.Object
- - org.tmatesoft.svn.core.wc2.SvnOperation<java.lang.Void>
  - - org.tmatesoft.svn.core.wc2.SvnScheduleForRemoval

- All Implemented Interfaces:
    ISvnOperationOptionsProvider

      public class SvnScheduleForRemoval
      extends SvnOperation<java.lang.Void>

  Represents remove operation. Schedules the working copy `targets` for deletion.

  This operation allows to choose whether file item(s) are to be deleted from the filesystem or not, it is controlled by `deleteFiles`.

  This method deletes only local working copy paths without connecting to the repository.

  `Targets` that are, or contain, unversioned or modified items will not be removed unless the `force` and `deleteFiles` is `true`.
  Version:
    1.7
  Author:
    TMate Software Ltd.

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `SvnScheduleForRemoval(SvnOperationFactory factory)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected int` | `getMaximumTargetsCount()`
    `protected void` | `initDefaults()`
    `boolean` | `isChangesWorkingCopy()` Gets whether the operation changes working copy
    `boolean` | `isDeleteFiles()` Returns whether files should be scheduled for deletion as well as deleted from the filesystem, or files should be only scheduled for addition and still be present in the filesystem.
    `boolean` | `isDryRun()` Returns whether to check the possibility of delete operation without actual deleting
    `boolean` | `isForce()` Returns whether to force operation on unversioned or modified items.
    `void` | `setDeleteFiles(boolean deleteFiles)` Sets whether files should be scheduled for deletion as well as deleted from the filesystem, or files should be only scheduled for addition and still be present in the filesystem.
    `void` | `setDryRun(boolean dryRun)` Sets whether to check the possibility of delete operation without actual deleting
    `void` | `setForce(boolean force)` Sets whether to force operation on unversioned or modified items.

    - ### Methods inherited from class org.tmatesoft.svn.core.wc2.SvnOperation

      `addTarget, cancel, ensureArgumentsAreValid, ensureEnoughTargets, ensureHomohenousTargets, getApplicableChangelists, getAuthenticationManager, getCanceller, getDepth, getEventHandler, getFirstTarget, getMinimumTargetsCount, getOperationalWorkingCopy, getOperationFactory, getOptions, getRepositoryPool, getRevision, getSqliteJournalMode, getTargets, hasFileTargets, hasLocalTargets, hasRemoteTargets, isCancelled, isSleepForTimestamp, isUseParentWcFormat, needsHomohenousTargets, run, setApplicalbeChangelists, setDepth, setRevision, setSingleTarget, setSleepForTimestamp, setSqliteJournalMode`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SvnScheduleForRemoval

          protected SvnScheduleForRemoval(SvnOperationFactory factory)

  - ### Method Detail

    - #### isForce

          public boolean isForce()

      Returns whether to force operation on unversioned or modified items.
      Returns:
        `true` if the operation should be forced on unversioned or modified items

    - #### setForce

          public void setForce(boolean force)

      Sets whether to force operation on unversioned or modified items.
      Parameters:
        `force` - `true` if the operation should be forced on unversioned or modified items

    - #### isDryRun

          public boolean isDryRun()

      Returns whether to check the possibility of delete operation without actual deleting
      Returns:
        `true` the possibility of delete operation should be checked without actual deleting, otherwise false

    - #### setDryRun

          public void setDryRun(boolean dryRun)

      Sets whether to check the possibility of delete operation without actual deleting
      Parameters:
        `dryRun` - `true` the possibility of delete operation should be checked without actual deleting, otherwise false

    - #### setDeleteFiles

          public void setDeleteFiles(boolean deleteFiles)

      Sets whether files should be scheduled for deletion as well as deleted from the filesystem, or files should be only scheduled for addition and still be present in the filesystem.
      Parameters:
        `deleteFiles` - `true` if files should be deleted on filesystem, otherwise `false`.

    - #### isDeleteFiles

          public boolean isDeleteFiles()

      Returns whether files should be scheduled for deletion as well as deleted from the filesystem, or files should be only scheduled for addition and still be present in the filesystem.
      Returns:
        `true` if files should be deleted on filesystem, otherwise `false`.

    - #### initDefaults

          protected void initDefaults()

      Overrides:
        `initDefaults` in class `SvnOperation<java.lang.Void>`

    - #### getMaximumTargetsCount

          protected int getMaximumTargetsCount()

      Overrides:
        `getMaximumTargetsCount` in class `SvnOperation<java.lang.Void>`

    - #### isChangesWorkingCopy

          public boolean isChangesWorkingCopy()

      Gets whether the operation changes working copy
      Overrides:
        `isChangesWorkingCopy` in class `SvnOperation<java.lang.Void>`
      Returns:
        `true` if the operation changes the working copy, otherwise `false`